Subject: Re: Alubook 5,8: No sound with 2.6.17-rc3-g5528e568-dirty

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 11 May 2006 09:48:00 +1000

On Wed, 2006-05-10 at 19:24 +0200, Wolfgang Pfeiffer wrote:
> On Wed, May 10, 2006 at 06:04:13PM +0200, Johannes Berg wrote:
> > > As to the reason why I came here:
> > > As I can't be sure whether the issue announced in the subject line is
> > > really a kernel issue
> > 
> > Did it ever work? 
> 
> Not with Debian, but with this Ubuntu live CD I have sound: 
> Ubuntu 6.06 "Dapper Drake" Beta 2 powerpc (20060427)
> 
> The kernel on their CD is a 2.6.15-21-powerpc

Dapper kernel has the hack to consider it as a toonie. No volume control
nor anything.

> > I don't quite know what machine a 5,8 is since I have a
> > 5,6 only. 
> 
> 
> 5.8 is, IINM, the last PPC 15" Powerbook that Apple made
> 
> > Also, try snd-aoa.
> 
> With the git kernel mentioned in my previous mail there's no snd-aoa
> available, IINM. I'll try figure out how to get the source and compile
> another kernel with this driver ...

It's not merged upstream yet.

Ben.